<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1playback_controller.html">playbackController</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_playback_command_8h_source.html">PlaybackCommand.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html" title="alexaClientSDK::capability\lAgents::playbackController\l::ButtonCommand_v1_0" alt="" coords="234,5,415,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html" title="alexaClientSDK::capability\lAgents::playbackController\l::ButtonCommand_v1_1" alt="" coords="234,81,415,133"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html" title="alexaClientSDK::capability\lAgents::playbackController\l::ToggleCommand" alt="" coords="234,157,415,209"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae67658d7d1da6372fe8cdf952422783a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#ae67658d7d1da6372fe8cdf952422783a">PlaybackCommand</a> (const std::string &amp;name)</td></tr>
<tr class="separator:ae67658d7d1da6372fe8cdf952422783a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0704230e062b7b4184fb3df2ca816087"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#a0704230e062b7b4184fb3df2ca816087">~PlaybackCommand</a> ()=default</td></tr>
<tr class="separator:a0704230e062b7b4184fb3df2ca816087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7de411b771cbe8106eab9418b1f187e"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#aa7de411b771cbe8106eab9418b1f187e">getEventName</a> () const =0</td></tr>
<tr class="separator:aa7de411b771cbe8106eab9418b1f187e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bcf417b1aece8c6949849aa36ab018b"><td class="memItemLeft" align="right" valign="top">virtual std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#a8bcf417b1aece8c6949849aa36ab018b">getEventPayload</a> () const =0</td></tr>
<tr class="separator:a8bcf417b1aece8c6949849aa36ab018b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ace53ccb7bbc9da3ff95e959304a6e45e"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#ace53ccb7bbc9da3ff95e959304a6e45e">buttonToCommand</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a61e425aaa1522eafa6647f6b11cb9556">avsCommon::avs::PlaybackButton</a> button)</td></tr>
<tr class="separator:ace53ccb7bbc9da3ff95e959304a6e45e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6670c9e105c5df634524ab7aab562f8d"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#a6670c9e105c5df634524ab7aab562f8d">toggleToCommand</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ad9f7d4000e3b111db271f73d9e34604b">avsCommon::avs::PlaybackToggle</a> toggle, bool action)</td></tr>
<tr class="separator:a6670c9e105c5df634524ab7aab562f8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:aafc80c57ced5c9ecc531403676e190b6"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#aafc80c57ced5c9ecc531403676e190b6">m_name</a></td></tr>
<tr class="memdesc:aafc80c57ced5c9ecc531403676e190b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The distinct AVS name of a command.  <a href="#aafc80c57ced5c9ecc531403676e190b6">More...</a><br /></td></tr>
<tr class="separator:aafc80c57ced5c9ecc531403676e190b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a87ecc8d410dd2fa1adabb29dc441ba69"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html#a87ecc8d410dd2fa1adabb29dc441ba69">operator&lt;&lt;</a> (std::ostream &amp;, const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;command)</td></tr>
<tr class="separator:a87ecc8d410dd2fa1adabb29dc441ba69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">This class represents a specific <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_controller.html">PlaybackController</a></code> interface command. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae67658d7d1da6372fe8cdf952422783a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae67658d7d1da6372fe8cdf952422783a">&#9670;&nbsp;</a></span>PlaybackCommand()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::PlaybackCommand </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>The distinguishing command name. It is either the event name(v1.0), or the payload name(v1.1). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0704230e062b7b4184fb3df2ca816087"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0704230e062b7b4184fb3df2ca816087">&#9670;&nbsp;</a></span>~PlaybackCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::~PlaybackCommand </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ace53ccb7bbc9da3ff95e959304a6e45e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace53ccb7bbc9da3ff95e959304a6e45e">&#9670;&nbsp;</a></span>buttonToCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp; alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::buttonToCommand </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a61e425aaa1522eafa6647f6b11cb9556">avsCommon::avs::PlaybackButton</a>&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert a <code>Button</code> to a <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">button</td><td>a <code>Button</code> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The matched <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> </dd></dl>

</div>
</div>
<a id="aa7de411b771cbe8106eab9418b1f187e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7de411b771cbe8106eab9418b1f187e">&#9670;&nbsp;</a></span>getEventName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::getEventName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the event name associated with this command.</p>
<dl class="section return"><dt>Returns</dt><dd>Event name. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html#a842a4dc5340883103cce0564939629b4">alexaClientSDK::capabilityAgents::playbackController::ToggleCommand</a>, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html#a60b44f0edc6d93b3497a2a68f732f3f6">alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_1</a>, and <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html#aceddb1a74f9b9f4c7fb0648854b5939f">alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_0</a>.</p>

</div>
</div>
<a id="a8bcf417b1aece8c6949849aa36ab018b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bcf417b1aece8c6949849aa36ab018b">&#9670;&nbsp;</a></span>getEventPayload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::string alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::getEventPayload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Get the <code>Event's</code> payload of this command</p>
<dl class="section return"><dt>Returns</dt><dd><code>Event's</code> payload </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_toggle_command.html#a270fc9aadf346734f12120b3d714eac4">alexaClientSDK::capabilityAgents::playbackController::ToggleCommand</a>, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__1.html#aa777bec2dadbc7e5f45c90eaa0b1d1d8">alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_1</a>, and <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_button_command__v1__0.html#a13bbb14dbf6798deffb6c0c7e9b97618">alexaClientSDK::capabilityAgents::playbackController::ButtonCommand_v1_0</a>.</p>

</div>
</div>
<a id="a6670c9e105c5df634524ab7aab562f8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6670c9e105c5df634524ab7aab562f8d">&#9670;&nbsp;</a></span>toggleToCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp; alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::toggleToCommand </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#ad9f7d4000e3b111db271f73d9e34604b">avsCommon::avs::PlaybackToggle</a>&#160;</td>
          <td class="paramname"><em>toggle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>action</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert a <code>Toggle</code> to a <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">toggle</td><td>a <code>Toggle</code> </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The matched <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> </dd></dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a87ecc8d410dd2fa1adabb29dc441ba69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87ecc8d410dd2fa1adabb29dc441ba69">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a> &amp;&#160;</td>
          <td class="paramname"><em>command</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Write a <code>command</code> value to an <code>ostream</code> as a string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">command</td><td>The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1playback_controller_1_1_playback_command.html">PlaybackCommand</a></code> value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aafc80c57ced5c9ecc531403676e190b6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafc80c57ced5c9ecc531403676e190b6">&#9670;&nbsp;</a></span>m_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::playbackController::PlaybackCommand::m_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The distinct AVS name of a command. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/CapabilityAgents/PlaybackController/include/PlaybackController/<a class="el" href="_playback_command_8h_source.html">PlaybackCommand.h</a></li>
<li>/workplace/avs-device-sdk/CapabilityAgents/PlaybackController/src/<a class="el" href="_playback_command_8cpp.html">PlaybackCommand.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
